Name:           moodbar
Version:        1.3.0
Release:        1%{?dist}
Summary:        Audio timeline visualization

License:        GPLv3
URL:            https://github.com/exaile/moodbar
Source0:        https://github.com/exaile/moodbar/releases/download/v%{version}/moodbar-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  gcc-c++

BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-audio-1.0)
BuildRequires:  pkgconfig(fftw3)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)

# Requirements for testing the package
BuildRequires:  python3
BuildRequires:  python3-numpy
BuildRequires:  gstreamer1

%description
Moodbar is a music visualization method that assigns colors to different parts
of a track and presents them as a timeline.
Applied to a music player, the main goal is to help the user navigate within a
particular track.
For example, if the user wants to skip to the first chorus of a song, a good
moodbar implementation should be able to provide a hint of where this might
occur in the timeline.

%prep
%setup -q


%build
%meson
%meson_build


%install
%meson_install


%check
%meson_test


%files
%{_bindir}/%{name}


%changelog
* Sat Apr 27 2024 Sérgio Basto <sergio@serjux.com> - 1.3.0-1
- Update moodbar to 1.3.0

* Sat Jun 22 2019 Christian Stadelmann <genodeftest@fedoraproject.org> - 1.1.1-1
- Update to new stable release with new upstream URL at the Exaile project
- Drop old patch, update license, update description
- Run tests
- Drop ldconfig scriptlets (thanks to leigh123linux)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.1.2-4
- Autorebuild for GCC 4.3

* Sun Dec 30 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.1.2-3
- remove versioned dependency

* Sat Dec 29 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.1.2-2
- fixes from the review request (#251950), thanks to Debarshi Ray

* Mon Aug 13 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.1.2-1
- initial package
